/********************************************************************************/
/*																				*/
/*    FILENAME: 	C:\Cypress PSoC\Tastatur\Tastatur.cydsn\MyCharLCD.C			*/
/*    VERSION:  1.0																*/
/*    Date: October 2011														*/
/*																				*/
/*	(C) 2011 Jörg Meier Software - Entwicklung									*/
/*	Steinfelder Str. 11 27404 Brümmerhof										*/
/*	All rights resereved														*/
/*	Given to Cypress Community/Developer Forum December 1st 2011				*/
/*	Just as-it-is, no Warranty, use on own risk.								*/
/********************************************************************************/
/*																				*/
/*	LCD Helper Functions														*/
/*																				*/
/********************************************************************************/

#include <device.h>
#include <MyCharLCD.h>
uint8 LCD_Index = 0;

void ClearLCDLine(uint8 Line)
{
uint8 ii;
	LCD_Position(Line,0);
	for (ii=0; ii < LCD_LINELENGTH; ii++) LCD_PutChar(' ');
	LCD_Position(Line,0);
	LCD_Index = 0;
}

void PutCharToLCD(uint8 Char)
{
static char8 LCD_Chars[LCD_LINELENGTH];
uint8 ii;
	if (LCD_Index >= LCD_LINELENGTH)
	{	//Shift display one char left
		LCD_Position(1,0);
		for (ii = 1; ii < LCD_LINELENGTH; ii++)
		{
			LCD_Chars[ii-1] = LCD_Chars[ii];
			LCD_PutChar(LCD_Chars[ii]);
		}
	}
	else LCD_Index++;
	
	LCD_PutChar(Char);
	LCD_Chars[LCD_Index-1] = Char;
}

/* [] END OF FILE */
