/********************************************************************************/
/*																				*/
/*    FILENAME:		C:\Cypress PSoC\Tastatur\Tastatur.cydsn\main.c				*/
/*    VERSION:  	1.0															*/
/*    Date:			October 2011												*/
/*																				*/
/*	(C) 2011 Jörg Meier Software - Entwicklung									*/
/*	Steinfelder Str. 11 27404 Brümmerhof										*/
/*	All rights resereved														*/
/*	Given to Cypress Community/Developer Forum December 1st 2011				*/
/*	Just as-it-is, no Warranty, use on own risk.								*/
/********************************************************************************/
/*																				*/
/*	De-Bouncing of a Keyboard, Buffering, Key-Repeating							*/
/*																				*/
/********************************************************************************/
/*																				*/
/*	LCD and Keyboard on a PSoC3/5 Kit											*/
/*																				*/
/********************************************************************************/
#include <device.h>
#include <Keyboard.h>
#include <MyCharLCD.h>

#define TRUE	1
#define FALSE	!TRUE
#define HellNotFrozen TRUE

void InitializeHardware(void)
{
	CYGlobalIntEnable;
	Keyboard_Init();
	LCD_Start();
}

void main()
{
uint8 Key;

	InitializeHardware();
	
	LCD_PrintString("Keyboard Test");
	LCD_Position(1,0);
    while (HellNotFrozen)
    {
		Key = Get_KBD_Char();
		if (Key == '#')
		{
			ClearLCDLine(1);
		}
		else
		{
			PutCharToLCD(Key);
		}
	}
}

/* [] END OF FILE */
